Bug 691952 - PDF rendering intent not honoured
PDF rendering intent not honoured
Product: Ghostscript
Classification: Unclassified
Component: Color
PC Linux
: P4 normal
Assigned To: Michael Vrhel
Bug traffic
: 691953 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2011-02-10 18:46 PST by Kai-Uwe Behrmann
Modified: 2012-11-15 20:12 PST (History)
2 users (show)

See Also:
Word Size: ---


Note You need to log in before you can comment on or make changes to this bug.
Description Kai-Uwe Behrmann 2011-02-10 18:46:12 PST
The rendering intent examples PDFs from Altona and from GWG are 
not rendered correctly. 

How to reproduce:
pick the GWG file and test in ghostscript
The green crosses signal the error.

Expected behaviour:
the example PDF looks as expected in Acroread. The coloured crossed 
should disappear.
Comment 1 Michael Vrhel 2011-02-25 19:10:01 PST
*** Bug 691953 has been marked as a duplicate of this bug. ***
Comment 2 Michael Vrhel 2011-02-25 19:13:15 PST
Verified.  This should be easy to resolve.
Comment 3 Michael Vrhel 2012-03-14 15:39:16 PDT
Fixed with http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=1d8c46688c07cec9e58f492223d1a9c92f4374e4.  

Note that if you wish to create a patch for 9.05 for this feature you will need the above commit plus this one


To make use of the output intent, use the option


on the command line.
Comment 4 Till Kamppeter 2012-03-14 22:36:14 PDT
I have applied the two patches mentioned in comment #3 to GS 9.05 now. Without the patches, or without -dUsePDFX3Profile the PDF file 131_Rendering_intent.pdf shows four equally green crosses, one in each colored square.

With patches and with -dUsePDFX3Profile I get:

Square 1 (light gray): Yellow cross
Square 2 (dark blue):  Cross in somewhat lighter blue
Square 3 (light blue): Cross in somewhat greenish darker blue
Square 4 (white):      No visible cross

Is this correct? Should the crosses not disappear on all squares?

Coomand lines used:

gs -sDEVICE=x11 ~/131_Rendering_intent.pdf
gs -sDEVICE=x11 -dUsePDFX3Profile ~/131_Rendering_intent.pdf
Comment 5 Michael Vrhel 2012-03-15 06:05:13 PDT
OK.  If you go out to a CMYK based device it looks correct.  When you go out to the X11 device you are going to an RGB based device.  In this case the output intent profile should be used as a proofing profile.  It would appear that there is an issue though with that.  Let me reopen and take a closer look.
Comment 6 Till Kamppeter 2012-11-10 11:17:50 PST
The problem is still there. I have tested with the Ghostscript 9.06 which comes with Ubuntu Quantal and all tests of the GWG fail.

I tried the files:

130_Source Profile.pdf
131_Rendering intent.pdf

from the GWG site linked here (or from http://www.oyranos.org/wiki/index.php?title=Test_Images#PDF).

I used the following command lines:

gs file.pdf
gs -sDEVICE=png16m -sOutputFile=out.png file.pdf
gs -sDEVICE=cups -dcupsColorSpace=1 -dcupsBitsPerColor=8 -sOutputFile=out-rgb.raster -r300 file.pdf
gs -sDEVICE=cups -dcupsColorSpace=6 -dcupsBitsPerColor=8 -sOutputFile=out.cmyk.raster -r300 file.pdf

The first 3 lines are RGB output devices, the last one is CMYK. With all combinations of input files and command lines I see the crosses, meaning that the appropriate color management functions failed.

Use rasterview from


to display the CUPS Raster files from cd "cups" output device.
Comment 7 Till Kamppeter 2012-11-10 11:45:23 PST
Note that fixing this is especially important as if application send color-managed PDFs (with rendering/output intents) the files will not come out correctly.
Comment 8 Michael Vrhel 2012-11-14 17:43:47 PST
Regarding comment 6.  You need to make sure to include -dUsePDFX3Profile in the command line.
Comment 9 Till Kamppeter 2012-11-14 18:30:48 PST
Partial success: with the "cups" output device, CMYK color space (-dcupsColorSpace=6) and -dUsePDFX3Profile all three test files work:

gs -sDEVICE=cups -dcupsColorSpace=6 -dcupsBitsPerColor=8 -dUsePDFX3Profile -sOutputFile=out.raster -r300 file.pdf

The second test file works also in RGB with -dUsePDFX3Profile:

gs -sDEVICE=cups -dcupsColorSpace=1 -dcupsBitsPerColor=8 -dUsePDFX3Profile -sOutputFile=x -r300 130_Source\ Profile.pdf

The other test files do not work in RGB.
Comment 10 Michael Vrhel 2012-11-15 20:12:34 PST
with the commit of 


the RGB case should now work too.